Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061879 - Links to http://docs.jboss.org/ironjacamar/ are no longer valid
Summary: Links to http://docs.jboss.org/ironjacamar/ are no longer valid
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: EAP 6.2.2
Assignee: sgilda
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 19:53 UTC by sgilda
Modified: 2014-08-14 15:20 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 14874, Administration and Configuration Guide-6.2-1 Build Date: 02-12-2013 14:15:34 Topic ID: 6889-458704 [Specified]
Last Closed: 2014-06-02 12:49:30 UTC
Type: Bug


Attachments (Terms of Use)

Description sgilda 2014-02-05 19:53:31 UTC
Title: Deployment of -ds.xml files

IronJacamar is no longer on jboss.org so we need to replace all links to  http://docs.jboss.org/ironjacamar/

The valid links to the project is now: http://www.ironjacamar.org/documentation.html

From there, we need to find the correct links. For example, XSD 1.1 is now:

http://www.ironjacamar.org/doc/schema/datasources_1_1.xsd


Describe the issue:


Suggestions for improvement:


Additional information:

Comment 1 sgilda 2014-02-05 21:38:03 UTC
I'll take this one.

Comment 2 sgilda 2014-02-06 16:51:11 UTC
Modified the following topics:

Automatically Activate Resource Adapter Archives [8796, rev: 587524]
  (this topic is not in any guide)

Update the Resource Adapter Configuration [5327, rev: 587520]
  I updated the content spec for the 6.2 Migration Guide

Deployment of -ds.xml files [6889, rev: 587522]
Resource Adapter Descriptor Reference [8984, rev: 587525]
  
  Both of these are in the 6.2 Administration and Configuration Guide [14874] 
  Do we want to update the 6.2 guide?
  

I did not modify the following topics as they are in the PressGang Belay Developer Guide:

Authorization Server Using the Auth Server Provider Library [11473]
Secure RESTful Web Services with the Resource Server Provider Library [11610]

Comment 4 Nikoleta Ziakova 2014-02-24 10:52:11 UTC
There are still some occurrences of link to jboss.org/ironjacamar in Migration Guide:

4.1.6. Use the IronJacamar Tool to Migrate Datasource and Resource Adapter Configurations
http://www.jboss.org/ironjacamar

4.1.7. Download and Install the IronJacamar Migration Tool
http://www.jboss.org/ironjacamar/downloads/
http://www.jboss.org/ironjacamar

4.1.8. Use the IronJacamar Migration Tool to Convert a Datasource Configuration File
http://www.jboss.org/ironjacamar

4.1.9. Use the IronJacamar Migration Tool to Convert a Resource Adapter Configuration File
http://www.jboss.org/ironjacamar

Comment 5 sgilda 2014-02-24 16:08:18 UTC
Made the changes. 

I also discovered a few other instances. PressGang is crashing, but I still need to fix topic 13740.

Ater that, I will try to build to docstage.
After verification, will try to publish the book.

Comment 6 sgilda 2014-02-24 20:56:29 UTC
This requires rebuilding of the Migration Guide for 6.2.
Do we want to update the Administration Guide for 6.2?

Comment 8 Nikoleta Ziakova 2014-03-04 08:09:34 UTC
6.3 docs are OK, both Admin and Migration Guide.
6.2 docs are not fully fixed (see comment 4) and since this BZ has target release 6.2.2, I am returning it.

Comment 9 sgilda 2014-03-04 14:32:54 UTC
I have updated the 6.2 Migration Guide spec.
I rebuilt it to docstage here: http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.2/html-single/Migration_Guide/index.html

I have requested it be published to the Customer Portal and will update the bug when it is complete.

Comment 11 Nikoleta Ziakova 2014-03-05 07:56:03 UTC
Verified with EAP 6.2.2.CP.CR2


Note You need to log in before you can comment on or make changes to this bug.